<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="To send e-mail from Metasploit Pro, you must configure the SMTP settings for the mail server that you want to use. " /><title>Defining SMTP Settings for a Mail Server</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration-old/defining-smtp-settings.html">Open topic with navigation</a>
        </p>
        <h2>Defining SMTP Settings for a Mail Server</h2>
        <p>To send e-mail from <span class="VariablesProductName">Metasploit Pro</span>, you must configure the <a name="kanchor204"></a>SMTP settings for the mail server that you want to use. The tasks that utilize the SMTP settings are social engineering and reporting. For example, if you want to e-mail a report after you generate a report, you need to configure the SMTP settings. </p>
        <p> 
The sender for reports is <code class="usertype">reports@pro.metasploit.com</code>. You may want to add this e-mail address to the safe sender list to ensure that these e-mails are not moved to the Junk Mail folder. </p>
        <p>
In order to utilize e-mail capabilities, you must have access to a local mail server or a web mail server. You need the address and port that the mail server runs on, the domain name that hosts the mail service, and the credentials for the mail server. 
</p>
        <ol>
            <li value="1">Choose <b class="UISelection">Administration &gt; Global Settings</b> from the main menu.
</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-global-settings-menu.png" alt="Global Settings Menu" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">Under SMTP Settings, define the following fields: </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-smtp-settings.png" /> <![CDATA[
]]></p>
        <ul>
            <li value="1"><b>Address</b> - The address to the remote mail server. For example, use 127.0.0.1 or localhost if the mail server runs on your local machine.
</li>
            <li value="2"><b>Port</b> - The port that the mail server uses. The default port is 25. </li>
            <li value="3"><b>Domain</b> - The fully qualified domain name that hosts the mail server. For example, use sitename.com. 
</li>
            <li value="4"><b>User Name</b> - The user name that the system uses to authenticate the mail server.
</li>
            <li value="5"><b>Password</b> - The password that the system uses to authenticate the mail server.
</li>
            <li value="6"><b>Authentication</b> - The authentication type that the mail server uses. Choose from <b class="UISelection">plain</b>, <b class="UISelection">login</b>, and <b class="UISelection">cram_md5</b>. 
</li>
        </ul>
        <ol start="3">
            <li value="3">Click the <b class="UISelection">Update </b>button.</li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Defining Global SMTP Settings for All E-mail Based Campaigns|../11-social-engineering/defining-global-smtp-settings-for-email-based-campaigns.html||Defining SMTP Settings for a Campaign|../11-social-engineering/defining-smtp-settings-campaign.html||E-mailing a Report|../16-reports/generating-downloading-viewing-sharing-reports.html#E-mailin"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>